org.apache.ignite.internal.processors.igfs

## Class IgfsTaskArgsImpl<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsTaskArgsImpl<T>

All Implemented Interfaces:
  Externalizable, Serializable, IgfsTaskArgs<T>

    public class IgfsTaskArgsImpl<T>
    extends Object
    implements IgfsTaskArgs<T>, Externalizable

IGFS task arguments implementation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsTaskArgsImpl()` `Externalizable` support.
`IgfsTaskArgsImpl(String igfsName, Collection<IgfsPath> paths, IgfsRecordResolver recRslvr, boolean skipNonExistentFiles, long maxRangeLen, T usrArg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `igfsName()` Gets IGFS name.
`long` `maxRangeLength()` Optional maximum allowed range length, `0` by default.
`Collection<IgfsPath>` `paths()` Gets file paths to process.
`void` `readExternal(ObjectInput in)`
`IgfsRecordResolver` `recordResolver()` Gets record resolver for the task.
`boolean` `skipNonExistentFiles()` Flag indicating whether to fail or simply skip non-existent files.
`String` `toString()`
`T` `userArgument()` User argument provided for task execution.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsTaskArgsImpl

    public IgfsTaskArgsImpl()

`Externalizable` support.

#### IgfsTaskArgsImpl

    public IgfsTaskArgsImpl(String igfsName,
                            Collection<IgfsPath> paths,
                            IgfsRecordResolver recRslvr,
                            boolean skipNonExistentFiles,
                            long maxRangeLen,
                            T usrArg)

Constructor.

Parameters:
  `igfsName` - IGFS name.
  `paths` - Paths.
  `recRslvr` - Record resolver.
  `skipNonExistentFiles` - Skip non existent files flag.
  `maxRangeLen` - Maximum range length.
  `usrArg` - User argument.

### Method Detail

#### igfsName

    public String igfsName()

Gets IGFS name.

Specified by:
  `igfsName` in interface `IgfsTaskArgs<T>`
Returns:
  IGFS name.

#### paths

    public Collection<IgfsPath> paths()

Gets file paths to process.

Specified by:
  `paths` in interface `IgfsTaskArgs<T>`
Returns:
  File paths to process.

#### recordResolver

    public IgfsRecordResolver recordResolver()

Gets record resolver for the task.

Specified by:
  `recordResolver` in interface `IgfsTaskArgs<T>`
Returns:
  Record resolver.

#### skipNonExistentFiles

    public boolean skipNonExistentFiles()

Flag indicating whether to fail or simply skip non-existent files.

Specified by:
  `skipNonExistentFiles` in interface `IgfsTaskArgs<T>`
Returns:
  `True` if non-existent files should be skipped.

#### maxRangeLength

    public long maxRangeLength()

Optional maximum allowed range length, `0` by default. If not specified, full range including all consecutive blocks will be used without any limitations.

Specified by:
  `maxRangeLength` in interface `IgfsTaskArgs<T>`
Returns:
  Maximum range length.

#### userArgument

    public T userArgument()

User argument provided for task execution.

Specified by:
  `userArgument` in interface `IgfsTaskArgs<T>`
Returns:
  User argument.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018